Accounts
Profiles, account groups, connected social accounts and connect flows.
Profiles
List profiles
/profilesProfiles group connected accounts per brand, client or end customer. Filter by name, external_id or is_default.
Try it with MCPAsk your agent to call list-profiles (toolset accounts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringnamecreated_atupdated_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
namestringexternal_idstringis_defaultbooleanReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 11 item attributes
objectstringrequiredprofile
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nulltimezonestring | nullexternal_idstring | nullis_defaultbooleanrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)pageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "profile",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"timezone": "Europe/Prague",
"external_id": "string",
"is_default": true,
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create a profile
/profilesThe first profile of a workspace is the default. external_id is your tenant id (unique per workspace).
Try it with MCPAsk your agent to call create-profile (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
namestringrequired1–100 characters
descriptionstring | null≤ 500 characters
colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
timezonestring | null≤ 64 characters
external_idstring | null1–255 characters
is_defaultbooleanReturns object
objectstringrequiredprofile
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nulltimezonestring | nullexternal_idstring | nullis_defaultbooleanrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "profile",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"timezone": "Europe/Prague",
"external_id": "string",
"is_default": true,
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Get a profile
/profiles/{id}Try it with MCPAsk your agent to call get-profile (toolset accounts)Set up MCP
Path parameters
idstringrequiredprofile id (pro_…)
1–80 characters
Returns object
objectstringrequiredprofile
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nulltimezonestring | nullexternal_idstring | nullis_defaultbooleanrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "profile",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"timezone": "Europe/Prague",
"external_id": "string",
"is_default": true,
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update a profile
/profiles/{id}Set is_default: true to make this the workspace default profile.
Try it with MCPAsk your agent to call update-profile (toolset accounts)Set up MCP
Path parameters
idstringrequiredprofile id (pro_…)
1–80 characters
Body object
namestring1–100 characters
descriptionstring | null≤ 500 characters
colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
timezonestring | null≤ 64 characters
external_idstring | null1–255 characters
is_defaultbooleanReturns object
objectstringrequiredprofile
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nulltimezonestring | nullexternal_idstring | nullis_defaultbooleanrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "profile",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"timezone": "Europe/Prague",
"external_id": "string",
"is_default": true,
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Delete a profile
/profiles/{id}Refused with 409 profile_has_accounts while accounts are assigned, unless force=true (the accounts stay connected, unassigned).
Try it with MCPAsk your agent to call delete-profile (toolset accounts)Set up MCP
Path parameters
idstringrequiredprofile id (pro_…)
1–80 characters
Query parameters
forcebooleandefault: falseReturns object
objectstringrequiredprofile
idstringrequireddeletedbooleanrequiredResponses
{
"object": "profile",
"id": "string",
"deleted": true
}Account groups
List account groups
/account-groupsTry it with MCPAsk your agent to call list-account-groups (toolset accounts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringnamecreated_atupdated_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
profile_idstringnamestringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 10 item attributes
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)pageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create an account group
/account-groupsA named collection of accounts for cross-posting and organization, optionally owned by a profile.
Try it with MCPAsk your agent to call create-account-group (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
namestringrequired1–100 characters
account_idsarray of string≤ 500 items
profile_idstring | null≤ 80 characters
descriptionstring | null≤ 500 characters
colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
Returns object
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Get an account group
/account-groups/{id}Try it with MCPAsk your agent to call get-account-group (toolset accounts)Set up MCP
Path parameters
idstringrequiredgroup id (grp_…)
1–80 characters
Returns object
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update an account group
/account-groups/{id}account_ids replaces the membership.
Try it with MCPAsk your agent to call update-account-group (toolset accounts)Set up MCP
Path parameters
idstringrequiredgroup id (grp_…)
1–80 characters
Body object
namestring1–100 characters
account_idsarray of string≤ 500 items
profile_idstring | null≤ 80 characters
descriptionstring | null≤ 500 characters
colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
Returns object
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Delete an account group
/account-groups/{id}Try it with MCPAsk your agent to call delete-account-group (toolset accounts)Set up MCP
Path parameters
idstringrequiredgroup id (grp_…)
1–80 characters
Returns object
objectstringrequiredaccount_group
idstringrequireddeletedbooleanrequiredResponses
{
"object": "account_group",
"id": "string",
"deleted": true
}Add accounts to an account group
/account-groups/{id}/accountsTry it with MCPAsk your agent to call add-account-group-accounts (toolset accounts)Set up MCP
Path parameters
idstringrequiredgroup id (grp_…)
1–80 characters
Body object
account_idsarray of stringrequired1–500 items
Returns object
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Remove an account from an account group
/account-groups/{id}/accounts/{accountId}Try it with MCPAsk your agent to call remove-account-group-account (toolset accounts)Set up MCP
Path parameters
idstringrequiredgroup id (grp_…)
1–80 characters
accountIdstringrequiredsocialAccount id (sa_…)
1–80 characters
Returns object
objectstringrequiredaccount_group
idstringrequirednamestringrequireddescriptionstring | nullcolorstring | nullprofile_idstring | nullaccount_idsarray of stringrequiredaccount_countintegercreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account_group",
"id": "string",
"name": "string",
"description": "string",
"color": "string",
"profile_id": "string",
"account_ids": [
"string"
],
"account_count": 1,
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Accounts
List connected accounts
/accountsFilter with platform, profile_id (or none), group_id, status, account_type, search, or <field>.<condition>= filters.
Try it with MCPAsk your agent to call list-accounts (toolset accounts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atupdated_atplatformusernamedisplay_namestatus
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
platformstringprofile_idstringpro_… or none for unassigned accounts
group_idstringstatusstringactiveneeds_reconnect
account_typestringprofilepageorganizationchannel
searchstring≤ 200 characters
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)pageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Get an account
/accounts/{id}Try it with MCPAsk your agent to call get-account (toolset accounts)Set up MCP
Path parameters
idstringrequiredsocialAccount id (sa_…)
1–80 characters
Returns object
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update an account or move it to another profile
/accounts/{id}Local label (name), display_name, username, default_config (per-network publish defaults) and profile_id (move).
Try it with MCPAsk your agent to call update-account (toolset accounts)Set up MCP
Path parameters
idstringrequiredsocialAccount id (sa_…)
1–80 characters
Body object
namestring | null≤ 100 characters
display_namestring | null≤ 200 characters
usernamestring | null≤ 200 characters
profile_idstring | null≤ 80 characters
default_configobject | nullReturns object
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Disconnect an account
/accounts/{id}Revokes the token at the network where supported (and no other account shares the grant), then deletes the account.
Try it with MCPAsk your agent to call disconnect-account (toolset accounts)Set up MCP
Path parameters
idstringrequiredsocialAccount id (sa_…)
1–80 characters
Returns object
objectstringrequiredaccount
idstringrequireddeletedbooleanrequiredtoken_revokedbooleanResponses
{
"object": "account",
"id": "string",
"deleted": true,
"token_revoked": true
}Check the health of an account
/accounts/{id}/healthLive token probe plus granted-vs-required permissions. A dead token marks the account needs_reconnect.
Try it with MCPAsk your agent to call get-account-health (toolset accounts)Set up MCP
Path parameters
idstringrequiredsocialAccount id (sa_…)
1–80 characters
Returns object
objectstringrequiredaccount_health
account_idstringrequiredplatformstringusernamestring | nulldisplay_namestring | nullprofile_idstring | nullstatusstringrequiredhealthywarningerror
can_postbooleancan_fetch_analyticsbooleantoken_validboolean | nulltoken_expires_atstring (date-time) | nullneeds_reconnectbooleantokenobjectShow 5 child attributes
validboolean | nullstrategystringexpires_atstring (date-time) | nullneeds_refreshbooleandetailstring | nullpermissionsobjectShow 4 child attributes
postingarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleananalyticsarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleanoptionalarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleanmissing_requiredarray of stringissuesarray of stringrecommendationsarray of stringlivebooleanchecked_atstring (date-time)Responses
{
"object": "account_health",
"account_id": "string",
"platform": "string",
"username": "string",
"display_name": "string",
"profile_id": "string",
"status": "healthy",
"can_post": true,
"can_fetch_analytics": true,
"token_valid": true,
"token_expires_at": "2026-10-13T09:00:00.000Z",
"needs_reconnect": true,
"token": {
"valid": true,
"strategy": "string",
"expires_at": "2026-10-13T09:00:00.000Z",
"needs_refresh": true,
"detail": "string"
},
"permissions": {
"posting": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"analytics": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"optional": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"missing_required": [
"string"
]
},
"issues": [
"string"
],
"recommendations": [
"string"
],
"live": true,
"checked_at": "2026-10-13T09:00:00.000Z"
}List posts published on the network
/accounts/{id}/postsRecent posts read live from the network, including posts not published through Socialit.
Try it with MCPAsk your agent to call list-account-platform-posts (toolset accounts)Set up MCP
Path parameters
idstringrequiredsocialAccount id (sa_…)
1–80 characters
Query parameters
limitintegerdefault: 251–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 9 item attributes
objectstringrequiredplatform_post
idstringrequiredplatformstringcontentstring | nullurlstring | nullpublished_atstring (date-time) | nullmedia_typestring | nullthumbnail_urlstring | nullmetricsobject | nullShow 4 child attributes
likesinteger | nullcommentsinteger | nullsharesinteger | nullviewsinteger | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nulllast_updatedstring (date-time)Responses
{
"object": "list",
"data": [
{
"object": "platform_post",
"id": "string",
"platform": "string",
"content": "string",
"url": "https://example.com",
"published_at": "2026-10-13T09:00:00.000Z",
"media_type": "string",
"thumbnail_url": "https://example.com",
"metrics": {
"likes": 1,
"comments": 1,
"shares": 1,
"views": 1
}
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com",
"last_updated": "2026-10-13T09:00:00.000Z"
}Health
Health of every account
/accounts/healthSummary plus per-account health. live=true probes every token at the network (slower).
Try it with MCPAsk your agent to call get-accounts-health (toolset accounts)Set up MCP
Query parameters
profile_idstringplatformstringstatusstringhealthywarningerror
livebooleandefault: falsepageintegerdefault: 1≥ 1
limitintegerdefault: 201–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 18 item attributes
objectstringrequiredaccount_health
account_idstringrequiredplatformstringusernamestring | nulldisplay_namestring | nullprofile_idstring | nullstatusstringrequiredhealthywarningerror
can_postbooleancan_fetch_analyticsbooleantoken_validboolean | nulltoken_expires_atstring (date-time) | nullneeds_reconnectbooleantokenobjectShow 5 child attributes
validboolean | nullstrategystringexpires_atstring (date-time) | nullneeds_refreshbooleandetailstring | nullpermissionsobjectShow 4 child attributes
postingarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleananalyticsarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleanoptionalarray of objectShow 3 item attributes
scopestringgrantedbooleanrequiredbooleanmissing_requiredarray of stringissuesarray of stringrecommendationsarray of stringlivebooleanchecked_atstring (date-time)pageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullsummaryobjectShow 5 child attributes
totalintegerhealthyintegerwarningintegererrorintegerneeds_reconnectintegerResponses
{
"object": "list",
"data": [
{
"object": "account_health",
"account_id": "string",
"platform": "string",
"username": "string",
"display_name": "string",
"profile_id": "string",
"status": "healthy",
"can_post": true,
"can_fetch_analytics": true,
"token_valid": true,
"token_expires_at": "2026-10-13T09:00:00.000Z",
"needs_reconnect": true,
"token": {
"valid": true,
"strategy": "string",
"expires_at": "2026-10-13T09:00:00.000Z",
"needs_refresh": true,
"detail": "string"
},
"permissions": {
"posting": [
{
"scope": null,
"granted": null,
"required": null
}
],
"analytics": [
{
"scope": null,
"granted": null,
"required": null
}
],
"optional": [
{
"scope": null,
"granted": null,
"required": null
}
],
"missing_required": [
"string"
]
},
"issues": [
"string"
],
"recommendations": [
"string"
],
"live": true,
"checked_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com",
"summary": {
"total": 1,
"healthy": 1,
"warning": 1,
"error": 1,
"needs_reconnect": 1
}
}Follower stats
Follower counts and growth
/accounts/follower-statsDaily follower snapshots per account (filled by the analytics sync), bucketed daily, weekly or monthly.
Try it with MCPAsk your agent to call get-follower-stats (toolset accounts)Set up MCP
Query parameters
account_idsstringComma separated sa_… ids
profile_idstringplatformstringfrom_datestringpattern ^\d{4}-\d{2}-\d{2}$
to_datestringpattern ^\d{4}-\d{2}-\d{2}$
granularitystringdefault: "daily"dailyweeklymonthly
Returns object
objectstringrequiredfollower_stats
date_rangeobjectShow 2 child attributes
from_datestringto_datestringgranularitystringdailyweeklymonthly
accountsarray of objectrequiredShow 10 item attributes
account_idstringplatformstringusernamestring | nulldisplay_namestring | nullcurrent_followersinteger | nullgrowthintegergrowth_percentagenumberlast_updatedstring (date-time) | nullstatsobjectShow 2 child attributes
followinginteger | nullposts_countinteger | nulldata_pointsarray of objectShow 2 item attributes
datestringfollowersinteger | nullResponses
{
"object": "follower_stats",
"date_range": {
"from_date": "string",
"to_date": "string"
},
"granularity": "daily",
"accounts": [
{
"account_id": "string",
"platform": "string",
"username": "string",
"display_name": "string",
"current_followers": 1,
"growth": 1,
"growth_percentage": 1.5,
"last_updated": "2026-10-13T09:00:00.000Z",
"stats": {
"following": 1,
"posts_count": 1
},
"data_points": [
{
"date": "string",
"followers": 1
}
]
}
]
}Connect
List connectable networks
/connect/platformsEvery connect flow with its connect methods, required inputs and picker step. enabled=true keeps the ones configured on this server.
Try it with MCPAsk your agent to call list-connect-platforms (toolset accounts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringorderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
enabledbooleanReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 10 item attributes
objectstringconnect_platform
idstringplatformstringnamestringenabledbooleanconnect_typestringconnect_typesarray of stringrequiresarray of stringselectionstring | nullscope_setsarray of stringpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "connect_platform",
"id": "string",
"platform": "string",
"name": "string",
"enabled": true,
"connect_type": "string",
"connect_types": [
"string"
],
"requires": [
"string"
],
"selection": "string",
"scope_sets": [
"string"
]
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Start connecting an account (authorization URL)
/connect/{platform}Returns the network authorization URL. After sign-in the network redirects to Socialit, which connects the account (or shows a picker) and sends the browser to redirect_url. headless=true hands multi-target selections to your own picker.
Try it with MCPAsk your agent to call get-connect-url (toolset accounts)Set up MCP
Path parameters
platformstringrequiredNetwork or connect flow (x, facebook, linkedin_org, googlebusiness…)
1–40 characters
Query parameters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
headlessbooleandefault: falsescope_setstringcorefocusrevenuememberscontent_owner
reconnect_account_idstringaccount_idstringAlias of reconnect_account_id
login_methodstringinstagram_loginfacebook_login
instancestring≤ 255 characters
identifierstring≤ 255 characters
localestring≤ 20 characters
force_reauthbooleancontent_owner_idstringYouTube CMS content owner
≤ 100 characters
discord_modestringbotwebhook
guild_idstring≤ 40 characters
Returns object
objectstringrequiredconnect_url
platformstringflowstringurlstringrequiredauth_urlstringstatestringrequiredexpires_atstring (date-time)Responses
{
"object": "connect_url",
"platform": "string",
"flow": "string",
"url": "https://example.com",
"auth_url": "https://example.com",
"state": "string",
"expires_at": "2026-10-13T09:00:00.000Z"
}Complete a connect flow with code and state
/connect/{platform}Headless completion: exchange the authorization code for the state returned by GET /connect/{platform}.
Try it with MCPAsk your agent to call complete-connect (toolset accounts)Set up MCP
Path parameters
platformstringrequiredNetwork or connect flow (x, facebook, linkedin_org, googlebusiness…)
1–40 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
codestringrequired1–4096 characters
statestringrequired1–128 characters
issstring≤ 500 characters
profile_idstringguild_idstring≤ 40 characters
permissionsstring≤ 40 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}Connect an account with credentials
/connect/{platform}/credentialsBluesky (identifier + app_password), Mastodon (instance + access_token), Discord (webhook_url).
Try it with MCPAsk your agent to call connect-with-credentials (toolset accounts)Set up MCP
Path parameters
platformstringrequiredNetwork or connect flow (x, facebook, linkedin_org, googlebusiness…)
1–40 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
identifierstring≤ 255 characters
passwordstring≤ 500 characters
app_passwordstring≤ 500 characters
auth_factor_tokenstring≤ 100 characters
servicestring≤ 255 characters
instancestring≤ 255 characters
access_tokenstring≤ 4096 characters
webhook_urlstring≤ 500 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}Get a pending connection
/connect/pending-dataTargets waiting to be picked after a multi-target sign-in (token from the headless redirect or a picker step).
Try it with MCPAsk your agent to call get-pending-connection (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected targets of a pending connection
/connect/selectTry it with MCPAsk your agent to call select-pending-connection (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringrequiredPending connection token (cpt_…)
1–128 characters
target_idsarray of string1–500 items
board_idstring≤ 100 characters
board_namestring≤ 200 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List FacebookPage targets of a pending connection
/connect/facebook/select-pageTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-facebook-page-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected FacebookPage targets
/connect/facebook/select-pageTry it with MCPAsk your agent to call select-facebook-page-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
page_idsarray of string≤ 500 items
page_idstring≤ 100 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List InstagramAccount targets of a pending connection
/connect/instagram/select-accountTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-instagram-account-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected InstagramAccount targets
/connect/instagram/select-accountTry it with MCPAsk your agent to call select-instagram-account-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
account_idsarray of string≤ 500 items
page_idsarray of string≤ 500 items
page_idstring≤ 100 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List LinkedinOrganization targets of a pending connection
/connect/linkedin/organizationsTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-linkedin-organization-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected LinkedinOrganization targets
/connect/linkedin/select-organizationTry it with MCPAsk your agent to call select-linkedin-organization-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
organization_idsarray of string≤ 500 items
include_personalbooleanselectionsarray of object≤ 200 items
Show 2 item attributes
account_typestringpersonalorganization
organization_idstring≤ 200 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List PinterestBoard targets of a pending connection
/connect/pinterest/select-boardTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-pinterest-board-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected PinterestBoard targets
/connect/pinterest/select-boardTry it with MCPAsk your agent to call select-pinterest-board-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
board_idstringrequired≤ 100 characters
board_namestring≤ 200 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List GoogleBusinessLocation targets of a pending connection
/connect/googlebusiness/locationsTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-google-business-location-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected GoogleBusinessLocation targets
/connect/googlebusiness/select-locationTry it with MCPAsk your agent to call select-google-business-location-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
location_idsarray of string≤ 500 items
location_idstring≤ 200 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List SnapchatProfile targets of a pending connection
/connect/snapchat/select-profileTargets found after the network sign-in, to render your own picker (headless connect). Pass the pending token as token or the X-Connect-Token header.
Try it with MCPAsk your agent to call list-snapchat-profile-connect-targets (toolset accounts)Set up MCP
Query parameters
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
Returns object
objectstringrequiredconnect_pending
tokenstringrequiredplatformstringflowstringprofile_idstring | nullstepstringrequiredmultiplebooleanuser_profileobject | nullShow 4 child attributes
idstring | nullnamestring | nullusernamestring | nullavatar_urlstring | nulltargetsarray of objectrequiredShow 8 item attributes
idstringaccount_typestringnamestring | nullusernamestring | nullavatar_urlstring | nullalready_connectedbooleanaccount_idstring | nulldetailsobjectoptionsarray of objectShow 4 item attributes
idstringnamestring | nulldescriptionstring | nullprivacystring | nullexpires_atstring (date-time)Responses
{
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true,
"account_id": "string",
"details": {}
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
}Connect the selected SnapchatProfile targets
/connect/snapchat/select-profileTry it with MCPAsk your agent to call select-snapchat-profile-connect-targets (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
tokenstringPending connection token (cpt_…)
1–128 characters
pending_tokenstringPending connection token (cpt_…)
1–128 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
target_idsarray of string≤ 500 items
public_profile_idstring≤ 100 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}Connect Bluesky with an app password
/connect/bluesky/credentialsTry it with MCPAsk your agent to call connect-bluesky-credentials (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
identifierstringrequired1–255 characters
app_passwordstring1–500 characters
passwordstring1–500 characters
auth_factor_tokenstring≤ 100 characters
profile_idstringredirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
statestringIgnored (Zernio compatibility)
≤ 200 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}Connect Discord channels
/connect/discordBind channels of a guild where the Socialit bot is installed (or of a pending Discord install token).
Try it with MCPAsk your agent to call connect-discord-channels (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
guild_idstring≤ 40 characters
channel_idstring≤ 40 characters
channel_idsarray of string≤ 25 items
profile_idstringtokenstringPending connection token (cpt_…)
1–128 characters
redirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
Returns object
objectstringrequiredconnect_result
statusstringrequiredconnectedpending_selection
platformstringprofile_idstring | nullaccountsarray of objectrequiredShow 26 item attributes
objectstringrequiredaccount
idstringrequiredplatformstringrequiredconnect_flowstringaccount_typestringprofilepageorganizationchannel
profile_idstring | nullgroup_idsarray of stringexternal_idstringparent_external_idstring | nullusernamestring | nullnamestring | nulldisplay_namestring | nullavatar_urlstring | nullprofile_urlstring | nullstatusstringrequiredactiveneeds_reconnect
is_activebooleanneeds_reconnectbooleanpublishing_pausedbooleanBeyond the plan account allowance: publishing is paused
scopesarray of stringtoken_expires_atstring (date-time) | nulldefault_configobjectmetadataobjectfollowers_countinteger | nullfollowers_updated_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)failedarray of objectShow 3 item attributes
idstringcodestringmessagestringpendingobject | nullredirect_urlstring | nullResponses
{
"object": "connect_result",
"status": "connected",
"platform": "string",
"profile_id": "string",
"accounts": [
{
"object": "account",
"id": "string",
"platform": "string",
"connect_flow": "string",
"account_type": "profile",
"profile_id": "string",
"group_ids": [
"string"
],
"external_id": "string",
"parent_external_id": "string",
"username": "string",
"name": "string",
"display_name": "string",
"avatar_url": "https://example.com",
"profile_url": "https://example.com",
"status": "active",
"is_active": true,
"needs_reconnect": true,
"publishing_paused": true,
"scopes": [
"string"
],
"token_expires_at": "2026-10-13T09:00:00.000Z",
"default_config": {},
"metadata": {},
"followers_count": 1,
"followers_updated_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"failed": [
{
"id": "string",
"code": "string",
"message": "string"
}
],
"pending": {
"object": "connect_pending",
"token": "string",
"platform": "string",
"flow": "string",
"profile_id": "string",
"step": "string",
"multiple": true,
"user_profile": {
"id": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com"
},
"targets": [
{
"id": "string",
"account_type": "string",
"name": "string",
"username": "string",
"avatar_url": "https://example.com",
"already_connected": true
}
],
"options": [
{
"id": "string",
"name": "string",
"description": "string",
"privacy": "string"
}
],
"expires_at": "2026-10-13T09:00:00.000Z"
},
"redirect_url": "https://example.com"
}List hosted connect links
/connect/linksTry it with MCPAsk your agent to call list-connect-links (toolset accounts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atexpires_atname
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
profile_idstringstatusstringactiveexpiredrevokedexhausted
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 16 item attributes
objectstringrequiredconnect_link
idstringrequirednamestring | nullprofile_idstring | nullurlstringrequiredplatformsarray of string | nullbrandingobjectShow 5 child attributes
namestring | nulllogo_urlstring | nullprimary_colorstring | nullaccent_colorstring | nullbackground_colorstring | nullredirect_urlstring | nullstatusstringrequiredactiveexpiredrevokedexhausted
max_usesinteger | nulluse_countintegerlast_used_atstring (date-time) | nullexpires_atstring (date-time)revoked_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)pageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "connect_link",
"id": "string",
"name": "string",
"profile_id": "string",
"url": "https://example.com",
"platforms": [
"string"
],
"branding": {
"name": "string",
"logo_url": "https://example.com",
"primary_color": "string",
"accent_color": "string",
"background_color": "string"
},
"redirect_url": "https://example.com",
"status": "active",
"max_uses": 1,
"use_count": 1,
"last_used_at": "2026-10-13T09:00:00.000Z",
"expires_at": "2026-10-13T09:00:00.000Z",
"revoked_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create a hosted connect link
/connect/linksA branded page where your customer connects their accounts to one profile, then lands on redirect_url with account_ids.
Try it with MCPAsk your agent to call create-connect-link (toolset accounts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
profile_idstringrequirednamestring | null≤ 100 characters
platformsarray of string | null≤ 40 items
brandingobjectShow 5 child attributes
namestring | null≤ 60 characters
logo_urlstring | null≤ 1000 characters
primary_colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
accent_colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
background_colorstring | nullHex color #RRGGBB
pattern ^#[0-9A-Fa-f]{6}$
redirect_urlstring | nullAbsolute http(s) URL or app scheme
≤ 2000 characters
expires_ininteger300–2592000
expires_atstring (date-time)max_usesinteger | null1–10000
Returns object
objectstringrequiredconnect_link
idstringrequirednamestring | nullprofile_idstring | nullurlstringrequiredplatformsarray of string | nullbrandingobjectShow 5 child attributes
namestring | nulllogo_urlstring | nullprimary_colorstring | nullaccent_colorstring | nullbackground_colorstring | nullredirect_urlstring | nullstatusstringrequiredactiveexpiredrevokedexhausted
max_usesinteger | nulluse_countintegerlast_used_atstring (date-time) | nullexpires_atstring (date-time)revoked_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "connect_link",
"id": "string",
"name": "string",
"profile_id": "string",
"url": "https://example.com",
"platforms": [
"string"
],
"branding": {
"name": "string",
"logo_url": "https://example.com",
"primary_color": "string",
"accent_color": "string",
"background_color": "string"
},
"redirect_url": "https://example.com",
"status": "active",
"max_uses": 1,
"use_count": 1,
"last_used_at": "2026-10-13T09:00:00.000Z",
"expires_at": "2026-10-13T09:00:00.000Z",
"revoked_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Get a hosted connect link
/connect/links/{id}Try it with MCPAsk your agent to call get-connect-link (toolset accounts)Set up MCP
Path parameters
idstringrequiredconnectLink id (cl_…)
1–80 characters
Returns object
objectstringrequiredconnect_link
idstringrequirednamestring | nullprofile_idstring | nullurlstringrequiredplatformsarray of string | nullbrandingobjectShow 5 child attributes
namestring | nulllogo_urlstring | nullprimary_colorstring | nullaccent_colorstring | nullbackground_colorstring | nullredirect_urlstring | nullstatusstringrequiredactiveexpiredrevokedexhausted
max_usesinteger | nulluse_countintegerlast_used_atstring (date-time) | nullexpires_atstring (date-time)revoked_atstring (date-time) | nullcreated_atstring (date-time)updated_atstring (date-time)Responses
{
"object": "connect_link",
"id": "string",
"name": "string",
"profile_id": "string",
"url": "https://example.com",
"platforms": [
"string"
],
"branding": {
"name": "string",
"logo_url": "https://example.com",
"primary_color": "string",
"accent_color": "string",
"background_color": "string"
},
"redirect_url": "https://example.com",
"status": "active",
"max_uses": 1,
"use_count": 1,
"last_used_at": "2026-10-13T09:00:00.000Z",
"expires_at": "2026-10-13T09:00:00.000Z",
"revoked_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Revoke a hosted connect link
/connect/links/{id}Try it with MCPAsk your agent to call revoke-connect-link (toolset accounts)Set up MCP
Path parameters
idstringrequiredconnectLink id (cl_…)
1–80 characters
Returns object
objectstringrequiredconnect_link
idstringrequireddeletedbooleanrequiredResponses
{
"object": "connect_link",
"id": "string",
"deleted": true
}